package cn.datax.service.data.factory.service;

import cn.datax.service.data.factory.api.entity.DataSetEntity;
import cn.datax.service.data.factory.api.dto.DataSetDto;
import cn.datax.common.base.BaseService;
import cn.datax.service.data.factory.api.vo.DataSetVo;

/**
 * <p>
 * 数据集信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-03-20
 */
public interface DataSetService extends BaseService<DataSetEntity> {

    void saveDataSet(DataSetDto dataSet);

    void updateDataSet(DataSetDto dataSet);

    DataSetVo getDataSetById(String id);

    void deleteDataSetById(String id);
}
